summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/config.sh
diff options
context:
space:
mode:
authorFilip Tehlar <ftehlar@cisco.com>2016-08-30 14:49:58 +0200
committerFilip Tehlar <ftehlar@cisco.com>2016-08-31 09:04:50 +0200
commit1df1d674eaace35d52973786403eb1dbe3c0d5eb (patch)
tree39546a92cb3715a957fe44f9318ae3a2cc3718bb /tests/data_plane/vpp_lite_topo/config.sh
parent4543d2821b1ab69579a525d83497ff84e9084bed (diff)
Use VAT in testsstable/1609
Change-Id: If8f08c5e998c5fbd9ea5c1f0252a77e01ea347ec Signed-off-by: Filip Tehlar <ftehlar@cisco.com>
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/config.sh')
-rw-r--r--tests/data_plane/vpp_lite_topo/config.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/data_plane/vpp_lite_topo/config.sh b/tests/data_plane/vpp_lite_topo/config.sh
index 1fa060a..e4c3283 100644
--- a/tests/data_plane/vpp_lite_topo/config.sh
+++ b/tests/data_plane/vpp_lite_topo/config.sh
@@ -5,6 +5,7 @@ ODL_PORT="8181"
# path to vpp executable
VPP_LITE_BIN=/vpp/build-root/install-vpp_lite_debug-native/vpp/bin/vpp
+VPP_API_TEST=/vpp/build-root/install-vpp_lite_debug-native/vpp-api-test/bin/vpp_api_test
# read user config file if exists
if [ -f "${HOME}/.onerc" ] ; then
@@ -18,6 +19,16 @@ if [ ! -f "${VPP_LITE_BIN}" ] ; then
exit 1
fi
+if [ ! -f "${VPP_API_TEST}" ] ; then
+ echo "Error: vpp_api_test not found. Either it's not built or environment \
+ variable VPP_API_TEST is not set. You can build vpp_api_test with:"
+ echo "$ make build-vat"
+ echo "VPP_API_TEST can be set in config.sh or in ~/.onerc."
+ echo "Current value:"
+ echo "VPP_LITE_BIN=${VPP_API_TEST}"
+ exit 1
+fi
+
function clean_all
{
echo "Clearing all VPP instances.."